# CEGUI::ScrolledContainerProperties Namespace Reference

Namespace containing all classes that make up the properties interface for the ScrolledContainer class. More...

## Classes

class | ContentPaneAutoSized
| Property to access the setting which controls whether the content pane is automatically resized according to the size and position of attached content. More...
class | ContentArea
| Property to access the current content pane area rectangle (as window relative pixels). More...
class | ChildExtentsArea
| Property offering read-only access to the current content extents rectangle (as window relative pixels). More...

## Detailed Description

Namespace containing all classes that make up the properties interface for the ScrolledContainer class.